<html>
<head>
<title>OGRE: OgreShadowCaster.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreShadowCaster.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>&quot;</code><br>

<p>
<a href="OgreShadowCaster_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class which represents the renderable aspects of a set of shadow volume faces.  <a href="classOgre_1_1ShadowRenderable.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This class defines the interface that must be implemented by shadow casters.  <a href="classOgre_1_1ShadowCaster.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cc">Ogre::ShadowRenderableFlags</a> { <a class="el" href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cc42b7242b2403601a94289579c0484b7e">Ogre::SRF_INCLUDE_LIGHT_CAP</a> =  0x00000001, 
<a class="el" href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cc33f01b987b6a184a90c99533cc257992">Ogre::SRF_INCLUDE_DARK_CAP</a> =  0x00000002, 
<a class="el" href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cccb424293924baf3e1b2bb29041270fec">Ogre::SRF_EXTRUDE_TO_INFINITY</a> =  0x00000004
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A set of flags that can be used to influence ShadowRenderable creation.  <a href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cc">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:59 2008
</p>
</body>
</html>
